import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::AmazonMQ::Configuration
 */
export declare function getConfiguration(args: GetConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetConfigurationResult>;
export interface GetConfigurationArgs {
    /**
     * The ID of the Amazon MQ configuration.
     */
    id: string;
}
export interface GetConfigurationResult {
    /**
     * The Amazon Resource Name (ARN) of the Amazon MQ configuration.
     */
    readonly arn?: string;
    /**
     * The description of the configuration.
     */
    readonly description?: string;
    /**
     * The ID of the Amazon MQ configuration.
     */
    readonly id?: string;
    /**
     * The revision number of the configuration.
     */
    readonly revision?: string;
    /**
     * Create tags when creating the configuration.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::AmazonMQ::Configuration
 */
export declare function getConfigurationOutput(args: GetConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConfigurationResult>;
export interface GetConfigurationOutputArgs {
    /**
     * The ID of the Amazon MQ configuration.
     */
    id: pulumi.Input<string>;
}
