import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::AppConfig::Deployment
 */
export declare function getDeployment(args: GetDeploymentArgs, opts?: pulumi.InvokeOptions): Promise<GetDeploymentResult>;
export interface GetDeploymentArgs {
    /**
     * The application ID.
     */
    applicationId: string;
    /**
     * The sequence number of the deployment.
     */
    deploymentNumber: string;
    /**
     * The environment ID.
     */
    environmentId: string;
}
export interface GetDeploymentResult {
    /**
     * The sequence number of the deployment.
     */
    readonly deploymentNumber?: string;
}
/**
 * Resource Type definition for AWS::AppConfig::Deployment
 */
export declare function getDeploymentOutput(args: GetDeploymentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDeploymentResult>;
export interface GetDeploymentOutputArgs {
    /**
     * The application ID.
     */
    applicationId: pulumi.Input<string>;
    /**
     * The sequence number of the deployment.
     */
    deploymentNumber: pulumi.Input<string>;
    /**
     * The environment ID.
     */
    environmentId: pulumi.Input<string>;
}
