import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::ApplicationInsights::Application
 */
export declare function getApplication(args: GetApplicationArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationResult>;
export interface GetApplicationArgs {
    /**
     * The ARN of the ApplicationInsights application.
     */
    applicationArn: string;
}
export interface GetApplicationResult {
    /**
     * The ARN of the ApplicationInsights application.
     */
    readonly applicationArn?: string;
    /**
     * If set to true, application will be configured with recommended monitoring configuration.
     */
    readonly autoConfigurationEnabled?: boolean;
    /**
     * Indicates whether Application Insights can listen to CloudWatch events for the application resources.
     */
    readonly cweMonitorEnabled?: boolean;
    /**
     * When set to true, creates opsItems for any problems detected on an application.
     */
    readonly opsCenterEnabled?: boolean;
    /**
     * The tags of Application Insights application.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::ApplicationInsights::Application
 */
export declare function getApplicationOutput(args: GetApplicationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApplicationResult>;
export interface GetApplicationOutputArgs {
    /**
     * The ARN of the ApplicationInsights application.
     */
    applicationArn: pulumi.Input<string>;
}
