import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::AppStream::Entitlement
 */
export declare function getEntitlement(args: GetEntitlementArgs, opts?: pulumi.InvokeOptions): Promise<GetEntitlementResult>;
export interface GetEntitlementArgs {
    /**
     * The name of the entitlement.
     */
    name: string;
    /**
     * The name of the stack.
     */
    stackName: string;
}
export interface GetEntitlementResult {
    /**
     * Specifies whether to entitle all apps or only selected apps.
     */
    readonly appVisibility?: string;
    /**
     * The attributes of the entitlement.
     */
    readonly attributes?: outputs.appstream.EntitlementAttribute[];
    /**
     * The time when the entitlement was created.
     */
    readonly createdTime?: string;
    /**
     * The description of the entitlement.
     */
    readonly description?: string;
    /**
     * The time when the entitlement was last modified.
     */
    readonly lastModifiedTime?: string;
}
/**
 * Resource Type definition for AWS::AppStream::Entitlement
 */
export declare function getEntitlementOutput(args: GetEntitlementOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEntitlementResult>;
export interface GetEntitlementOutputArgs {
    /**
     * The name of the entitlement.
     */
    name: pulumi.Input<string>;
    /**
     * The name of the stack.
     */
    stackName: pulumi.Input<string>;
}
