"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.RepositoryAssociation = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * This resource schema represents the RepositoryAssociation resource in the Amazon CodeGuru Reviewer service.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myRepositoryAssociation = new aws_native.codegurureviewer.RepositoryAssociation("myRepositoryAssociation", {
 *     name: "MyRepository",
 *     type: aws_native.codegurureviewer.RepositoryAssociationType.CodeCommit,
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myRepositoryAssociation = new aws_native.codegurureviewer.RepositoryAssociation("myRepositoryAssociation", {
 *     name: "MyRepository",
 *     type: aws_native.codegurureviewer.RepositoryAssociationType.CodeCommit,
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myRepositoryAssociation = new aws_native.codegurureviewer.RepositoryAssociation("myRepositoryAssociation", {
 *     name: "MyBitbucketRepoName",
 *     type: aws_native.codegurureviewer.RepositoryAssociationType.Bitbucket,
 *     connectionArn: "arn:aws:codestar-connections:us-west-2:123456789012:connection/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
 *     owner: "MyOwnerName",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myRepositoryAssociation = new aws_native.codegurureviewer.RepositoryAssociation("myRepositoryAssociation", {
 *     name: "MyBitbucketRepoName",
 *     type: aws_native.codegurureviewer.RepositoryAssociationType.Bitbucket,
 *     connectionArn: "arn:aws:codestar-connections:us-west-2:123456789012:connection/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
 *     owner: "MyOwnerName",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myRepositoryAssociation = new aws_native.codegurureviewer.RepositoryAssociation("myRepositoryAssociation", {
 *     name: "MyGitHubEnterpriseRepoName",
 *     type: aws_native.codegurureviewer.RepositoryAssociationType.GitHubEnterpriseServer,
 *     connectionArn: "arn:aws:codestar-connections:us-west-2:123456789012:connection/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
 *     owner: "MyOwnerName",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myRepositoryAssociation = new aws_native.codegurureviewer.RepositoryAssociation("myRepositoryAssociation", {
 *     name: "MyGitHubEnterpriseRepoName",
 *     type: aws_native.codegurureviewer.RepositoryAssociationType.GitHubEnterpriseServer,
 *     connectionArn: "arn:aws:codestar-connections:us-west-2:123456789012:connection/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
 *     owner: "MyOwnerName",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myRepositoryAssociation = new aws_native.codegurureviewer.RepositoryAssociation("myRepositoryAssociation", {
 *     name: "MyRepository",
 *     type: aws_native.codegurureviewer.RepositoryAssociationType.CodeCommit,
 *     tags: [
 *         {
 *             key: "tag1-key",
 *             value: "tag1-value",
 *         },
 *         {
 *             key: "tag2-key",
 *             value: "tag2-value",
 *         },
 *     ],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myRepositoryAssociation = new aws_native.codegurureviewer.RepositoryAssociation("myRepositoryAssociation", {
 *     name: "MyRepository",
 *     type: aws_native.codegurureviewer.RepositoryAssociationType.CodeCommit,
 *     tags: [
 *         {
 *             key: "tag1-key",
 *             value: "tag1-value",
 *         },
 *         {
 *             key: "tag2-key",
 *             value: "tag2-value",
 *         },
 *     ],
 * });
 *
 * ```
 */
class RepositoryAssociation extends pulumi.CustomResource {
    /**
     * Get an existing RepositoryAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new RepositoryAssociation(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of RepositoryAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === RepositoryAssociation.__pulumiType;
    }
    /**
     * Create a RepositoryAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.type === undefined) && !opts.urn) {
                throw new Error("Missing required property 'type'");
            }
            resourceInputs["bucketName"] = args ? args.bucketName : undefined;
            resourceInputs["connectionArn"] = args ? args.connectionArn : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["owner"] = args ? args.owner : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["type"] = args ? args.type : undefined;
            resourceInputs["associationArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["associationArn"] = undefined /*out*/;
            resourceInputs["bucketName"] = undefined /*out*/;
            resourceInputs["connectionArn"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["owner"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["type"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["bucketName", "connectionArn", "name", "owner", "tags[*]", "type"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(RepositoryAssociation.__pulumiType, name, resourceInputs, opts);
    }
}
exports.RepositoryAssociation = RepositoryAssociation;
/** @internal */
RepositoryAssociation.__pulumiType = 'aws-native:codegurureviewer:RepositoryAssociation';
//# sourceMappingURL=repositoryAssociation.js.map