import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Connect::SecurityKey
 */
export declare function getSecurityKey(args: GetSecurityKeyArgs, opts?: pulumi.InvokeOptions): Promise<GetSecurityKeyResult>;
export interface GetSecurityKeyArgs {
    /**
     * An `AssociationId` is automatically generated when a storage config is associated with an instance.
     */
    associationId: string;
    /**
     * The Amazon Resource Name (ARN) of the instance.
     *
     * *Minimum* : `1`
     *
     * *Maximum* : `100`
     */
    instanceId: string;
}
export interface GetSecurityKeyResult {
    /**
     * An `AssociationId` is automatically generated when a storage config is associated with an instance.
     */
    readonly associationId?: string;
}
/**
 * Resource Type definition for AWS::Connect::SecurityKey
 */
export declare function getSecurityKeyOutput(args: GetSecurityKeyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSecurityKeyResult>;
export interface GetSecurityKeyOutputArgs {
    /**
     * An `AssociationId` is automatically generated when a storage config is associated with an instance.
     */
    associationId: pulumi.Input<string>;
    /**
     * The Amazon Resource Name (ARN) of the instance.
     *
     * *Minimum* : `1`
     *
     * *Maximum* : `100`
     */
    instanceId: pulumi.Input<string>;
}
