import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for Carrier Gateway which describes the Carrier Gateway resource
 */
export declare function getCarrierGateway(args: GetCarrierGatewayArgs, opts?: pulumi.InvokeOptions): Promise<GetCarrierGatewayResult>;
export interface GetCarrierGatewayArgs {
    /**
     * The ID of the carrier gateway.
     */
    carrierGatewayId: string;
}
export interface GetCarrierGatewayResult {
    /**
     * The ID of the carrier gateway.
     */
    readonly carrierGatewayId?: string;
    /**
     * The ID of the owner.
     */
    readonly ownerId?: string;
    /**
     * The state of the carrier gateway.
     */
    readonly state?: string;
    /**
     * The tags for the carrier gateway.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for Carrier Gateway which describes the Carrier Gateway resource
 */
export declare function getCarrierGatewayOutput(args: GetCarrierGatewayOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCarrierGatewayResult>;
export interface GetCarrierGatewayOutputArgs {
    /**
     * The ID of the carrier gateway.
     */
    carrierGatewayId: pulumi.Input<string>;
}
