import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Specifies a network ACL for your VPC.
 *  To add a network ACL entry, see [AWS::EC2::NetworkAclEntry](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-networkaclentry.html).
 */
export declare function getNetworkAcl(args: GetNetworkAclArgs, opts?: pulumi.InvokeOptions): Promise<GetNetworkAclResult>;
export interface GetNetworkAclArgs {
    /**
     * The ID of the network ACL.
     */
    id: string;
}
export interface GetNetworkAclResult {
    /**
     * The ID of the network ACL.
     */
    readonly id?: string;
    /**
     * The tags for the network ACL.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Specifies a network ACL for your VPC.
 *  To add a network ACL entry, see [AWS::EC2::NetworkAclEntry](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-networkaclentry.html).
 */
export declare function getNetworkAclOutput(args: GetNetworkAclOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetNetworkAclResult>;
export interface GetNetworkAclOutputArgs {
    /**
     * The ID of the network ACL.
     */
    id: pulumi.Input<string>;
}
