import * as pulumi from "@pulumi/pulumi";
/**
 * Associates a set of DHCP options with a VPC, or associates no DHCP options with the VPC.
 */
export declare class VpcdhcpOptionsAssociation extends pulumi.CustomResource {
    /**
     * Get an existing VpcdhcpOptionsAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): VpcdhcpOptionsAssociation;
    /**
     * Returns true if the given object is an instance of VpcdhcpOptionsAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is VpcdhcpOptionsAssociation;
    /**
     * The ID of the DHCP options set, or default to associate no DHCP options with the VPC.
     */
    readonly dhcpOptionsId: pulumi.Output<string>;
    /**
     * The ID of the VPC.
     */
    readonly vpcId: pulumi.Output<string>;
    /**
     * Create a VpcdhcpOptionsAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: VpcdhcpOptionsAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a VpcdhcpOptionsAssociation resource.
 */
export interface VpcdhcpOptionsAssociationArgs {
    /**
     * The ID of the DHCP options set, or default to associate no DHCP options with the VPC.
     */
    dhcpOptionsId: pulumi.Input<string>;
    /**
     * The ID of the VPC.
     */
    vpcId: pulumi.Input<string>;
}
