import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::ElasticLoadBalancingV2::TrustStore
 */
export declare function getTrustStore(args: GetTrustStoreArgs, opts?: pulumi.InvokeOptions): Promise<GetTrustStoreResult>;
export interface GetTrustStoreArgs {
    /**
     * The Amazon Resource Name (ARN) of the trust store.
     */
    trustStoreArn: string;
}
export interface GetTrustStoreResult {
    /**
     * The number of certificates associated with the trust store.
     */
    readonly numberOfCaCertificates?: number;
    /**
     * The status of the trust store, could be either of ACTIVE or CREATING.
     */
    readonly status?: string;
    /**
     * The tags to assign to the trust store.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The Amazon Resource Name (ARN) of the trust store.
     */
    readonly trustStoreArn?: string;
}
/**
 * Resource Type definition for AWS::ElasticLoadBalancingV2::TrustStore
 */
export declare function getTrustStoreOutput(args: GetTrustStoreOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrustStoreResult>;
export interface GetTrustStoreOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the trust store.
     */
    trustStoreArn: pulumi.Input<string>;
}
