import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * This resource creates a Registry for authoring schemas as part of Glue Schema Registry.
 */
export declare function getRegistry(args: GetRegistryArgs, opts?: pulumi.InvokeOptions): Promise<GetRegistryResult>;
export interface GetRegistryArgs {
    /**
     * Amazon Resource Name for the created Registry.
     */
    arn: string;
}
export interface GetRegistryResult {
    /**
     * Amazon Resource Name for the created Registry.
     */
    readonly arn?: string;
    /**
     * A description of the registry. If description is not provided, there will not be any default value for this.
     */
    readonly description?: string;
    /**
     * List of tags to tag the Registry
     */
    readonly tags?: outputs.Tag[];
}
/**
 * This resource creates a Registry for authoring schemas as part of Glue Schema Registry.
 */
export declare function getRegistryOutput(args: GetRegistryOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRegistryResult>;
export interface GetRegistryOutputArgs {
    /**
     * Amazon Resource Name for the created Registry.
     */
    arn: pulumi.Input<string>;
}
