import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::IoT::Policy
 */
export declare function getPolicy(args: GetPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetPolicyResult>;
export interface GetPolicyArgs {
    /**
     * The name of this policy.
     */
    id: string;
}
export interface GetPolicyResult {
    /**
     * The Amazon Resource Name (ARN) of the AWS IoT policy, such as `arn:aws:iot:us-east-2:123456789012:policy/MyPolicy` .
     */
    readonly arn?: string;
    /**
     * The name of this policy.
     */
    readonly id?: string;
    /**
     * The JSON document that describes the policy.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::IoT::Policy` for more information about the expected schema for this property.
     */
    readonly policyDocument?: any;
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IoT::Policy
 */
export declare function getPolicyOutput(args: GetPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPolicyResult>;
export interface GetPolicyOutputArgs {
    /**
     * The name of this policy.
     */
    id: pulumi.Input<string>;
}
