import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::IoTSiteWise::Project
 */
export declare function getProject(args: GetProjectArgs, opts?: pulumi.InvokeOptions): Promise<GetProjectResult>;
export interface GetProjectArgs {
    /**
     * The ID of the project.
     */
    projectId: string;
}
export interface GetProjectResult {
    /**
     * The IDs of the assets to be associated to the project.
     */
    readonly assetIds?: string[];
    /**
     * The ARN of the project.
     */
    readonly projectArn?: string;
    /**
     * A description for the project.
     */
    readonly projectDescription?: string;
    /**
     * The ID of the project.
     */
    readonly projectId?: string;
    /**
     * A friendly name for the project.
     */
    readonly projectName?: string;
    /**
     * A list of key-value pairs that contain metadata for the project.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::IoTSiteWise::Project
 */
export declare function getProjectOutput(args: GetProjectOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetProjectResult>;
export interface GetProjectOutputArgs {
    /**
     * The ID of the project.
     */
    projectId: pulumi.Input<string>;
}
