import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::LaunchWizard::Deployment Resource Type
 */
export declare function getDeployment(args: GetDeploymentArgs, opts?: pulumi.InvokeOptions): Promise<GetDeploymentResult>;
export interface GetDeploymentArgs {
    /**
     * ARN of the LaunchWizard deployment
     */
    arn: string;
}
export interface GetDeploymentResult {
    /**
     * ARN of the LaunchWizard deployment
     */
    readonly arn?: string;
    /**
     * Timestamp of LaunchWizard deployment creation
     */
    readonly createdAt?: string;
    /**
     * Timestamp of LaunchWizard deployment deletion
     */
    readonly deletedAt?: string;
    /**
     * Deployment ID of the LaunchWizard deployment
     */
    readonly deploymentId?: string;
    /**
     * Resource Group Name created for LaunchWizard deployment
     */
    readonly resourceGroup?: string;
    /**
     * Status of LaunchWizard deployment
     */
    readonly status?: enums.launchwizard.DeploymentStatus;
    /**
     * Tags for LaunchWizard deployment
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::LaunchWizard::Deployment Resource Type
 */
export declare function getDeploymentOutput(args: GetDeploymentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDeploymentResult>;
export interface GetDeploymentOutputArgs {
    /**
     * ARN of the LaunchWizard deployment
     */
    arn: pulumi.Input<string>;
}
