import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::MediaLive::Cluster Resource Type
 */
export declare function getCluster(args: GetClusterArgs, opts?: pulumi.InvokeOptions): Promise<GetClusterResult>;
export interface GetClusterArgs {
    /**
     * The unique ID of the Cluster.
     */
    id: string;
}
export interface GetClusterResult {
    /**
     * The ARN of the Cluster.
     */
    readonly arn?: string;
    /**
     * The MediaLive Channels that are currently running on Nodes in this Cluster.
     */
    readonly channelIds?: string[];
    /**
     * The unique ID of the Cluster.
     */
    readonly id?: string;
    /**
     * The user-specified name of the Cluster to be created.
     */
    readonly name?: string;
    readonly networkSettings?: outputs.medialive.ClusterNetworkSettings;
    readonly state?: enums.medialive.ClusterState;
    /**
     * A collection of key-value pairs.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::MediaLive::Cluster Resource Type
 */
export declare function getClusterOutput(args: GetClusterOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetClusterResult>;
export interface GetClusterOutputArgs {
    /**
     * The unique ID of the Cluster.
     */
    id: pulumi.Input<string>;
}
