import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::MediaTailor::ChannelPolicy Resource Type
 */
export declare function getChannelPolicy(args: GetChannelPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetChannelPolicyResult>;
export interface GetChannelPolicyArgs {
    /**
     * The name of the channel associated with this Channel Policy.
     */
    channelName: string;
}
export interface GetChannelPolicyResult {
    /**
     * <p>The IAM policy for the channel. IAM policies are used to control access to your channel.</p>
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::MediaTailor::ChannelPolicy` for more information about the expected schema for this property.
     */
    readonly policy?: any;
}
/**
 * Definition of AWS::MediaTailor::ChannelPolicy Resource Type
 */
export declare function getChannelPolicyOutput(args: GetChannelPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetChannelPolicyResult>;
export interface GetChannelPolicyOutputArgs {
    /**
     * The name of the channel associated with this Channel Policy.
     */
    channelName: pulumi.Input<string>;
}
