import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::MSK::BatchScramSecret
 */
export declare class BatchScramSecret extends pulumi.CustomResource {
    /**
     * Get an existing BatchScramSecret resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): BatchScramSecret;
    /**
     * Returns true if the given object is an instance of BatchScramSecret.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is BatchScramSecret;
    /**
     * The Amazon Resource Name (ARN) that uniquely identifies the cluster.
     */
    readonly clusterArn: pulumi.Output<string>;
    /**
     * List of Amazon Resource Name (ARN)s of Secrets Manager secrets.
     */
    readonly secretArnList: pulumi.Output<string[] | undefined>;
    /**
     * Create a BatchScramSecret resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: BatchScramSecretArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a BatchScramSecret resource.
 */
export interface BatchScramSecretArgs {
    /**
     * The Amazon Resource Name (ARN) that uniquely identifies the cluster.
     */
    clusterArn: pulumi.Input<string>;
    /**
     * List of Amazon Resource Name (ARN)s of Secrets Manager secrets.
     */
    secretArnList?: pulumi.Input<pulumi.Input<string>[]>;
}
