import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::NetworkManager::GlobalNetwork type specifies a global network of the user's account
 */
export declare function getGlobalNetwork(args: GetGlobalNetworkArgs, opts?: pulumi.InvokeOptions): Promise<GetGlobalNetworkResult>;
export interface GetGlobalNetworkArgs {
    /**
     * The ID of the global network.
     */
    id: string;
}
export interface GetGlobalNetworkResult {
    /**
     * The Amazon Resource Name (ARN) of the global network.
     */
    readonly arn?: string;
    /**
     * The date and time that the global network was created.
     */
    readonly createdAt?: string;
    /**
     * The description of the global network.
     */
    readonly description?: string;
    /**
     * The ID of the global network.
     */
    readonly id?: string;
    /**
     * The state of the global network.
     */
    readonly state?: string;
    /**
     * The tags for the global network.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::NetworkManager::GlobalNetwork type specifies a global network of the user's account
 */
export declare function getGlobalNetworkOutput(args: GetGlobalNetworkOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGlobalNetworkResult>;
export interface GetGlobalNetworkOutputArgs {
    /**
     * The ID of the global network.
     */
    id: pulumi.Input<string>;
}
