import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS::NetworkManager::SiteToSiteVpnAttachment Resource Type definition.
 */
export declare function getSiteToSiteVpnAttachment(args: GetSiteToSiteVpnAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetSiteToSiteVpnAttachmentResult>;
export interface GetSiteToSiteVpnAttachmentArgs {
    /**
     * The ID of the attachment.
     */
    attachmentId: string;
}
export interface GetSiteToSiteVpnAttachmentResult {
    /**
     * The ID of the attachment.
     */
    readonly attachmentId?: string;
    /**
     * The policy rule number associated with the attachment.
     */
    readonly attachmentPolicyRuleNumber?: number;
    /**
     * The type of attachment.
     */
    readonly attachmentType?: string;
    /**
     * The ARN of a core network for the VPC attachment.
     */
    readonly coreNetworkArn?: string;
    /**
     * Creation time of the attachment.
     */
    readonly createdAt?: string;
    /**
     * The Region where the edge is located.
     */
    readonly edgeLocation?: string;
    /**
     * The name of the network function group attachment.
     */
    readonly networkFunctionGroupName?: string;
    /**
     * Owner account of the attachment.
     */
    readonly ownerAccountId?: string;
    /**
     * The attachment to move from one network function group to another.
     */
    readonly proposedNetworkFunctionGroupChange?: outputs.networkmanager.SiteToSiteVpnAttachmentProposedNetworkFunctionGroupChange;
    /**
     * The attachment to move from one segment to another.
     */
    readonly proposedSegmentChange?: outputs.networkmanager.SiteToSiteVpnAttachmentProposedSegmentChange;
    /**
     * The ARN of the Resource.
     */
    readonly resourceArn?: string;
    /**
     * The name of the segment that attachment is in.
     */
    readonly segmentName?: string;
    /**
     * The state of the attachment.
     */
    readonly state?: string;
    /**
     * Tags for the attachment.
     */
    readonly tags?: outputs.Tag[];
    /**
     * Last update time of the attachment.
     */
    readonly updatedAt?: string;
}
/**
 * AWS::NetworkManager::SiteToSiteVpnAttachment Resource Type definition.
 */
export declare function getSiteToSiteVpnAttachmentOutput(args: GetSiteToSiteVpnAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSiteToSiteVpnAttachmentResult>;
export interface GetSiteToSiteVpnAttachmentOutputArgs {
    /**
     * The ID of the attachment.
     */
    attachmentId: pulumi.Input<string>;
}
