"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dataset = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::Personalize::Dataset.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myDataset = new aws_native.personalize.Dataset("myDataset", {
 *     name: "my-dataset-name",
 *     datasetType: aws_native.personalize.DatasetType.Interactions,
 *     datasetGroupArn: "arn:aws:personalize:us-west-2:123456789012:dataset-group/dataset-group-name",
 *     schemaArn: "arn:aws:personalize:us-west-2:123456789012:schema/schema-name",
 *     datasetImportJob: {
 *         jobName: "my-import-job-name",
 *         dataSource: {
 *             dataLocation: "s3://bucket-name/file-name.csv",
 *         },
 *         roleArn: "arn:aws:iam::123456789012:role/personalize-role",
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myDataset = new aws_native.personalize.Dataset("myDataset", {
 *     name: "my-dataset-name",
 *     datasetType: aws_native.personalize.DatasetType.Interactions,
 *     datasetGroupArn: "arn:aws:personalize:us-west-2:123456789012:dataset-group/dataset-group-name",
 *     schemaArn: "arn:aws:personalize:us-west-2:123456789012:schema/schema-name",
 *     datasetImportJob: {
 *         jobName: "my-import-job-name",
 *         dataSource: {
 *             dataLocation: "s3://bucket-name/file-name.csv",
 *         },
 *         roleArn: "arn:aws:iam::123456789012:role/personalize-role",
 *     },
 * });
 *
 * ```
 */
class Dataset extends pulumi.CustomResource {
    /**
     * Get an existing Dataset resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Dataset(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Dataset.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Dataset.__pulumiType;
    }
    /**
     * Create a Dataset resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.datasetGroupArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'datasetGroupArn'");
            }
            if ((!args || args.datasetType === undefined) && !opts.urn) {
                throw new Error("Missing required property 'datasetType'");
            }
            if ((!args || args.schemaArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'schemaArn'");
            }
            resourceInputs["datasetGroupArn"] = args ? args.datasetGroupArn : undefined;
            resourceInputs["datasetImportJob"] = args ? args.datasetImportJob : undefined;
            resourceInputs["datasetType"] = args ? args.datasetType : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["schemaArn"] = args ? args.schemaArn : undefined;
            resourceInputs["datasetArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["datasetArn"] = undefined /*out*/;
            resourceInputs["datasetGroupArn"] = undefined /*out*/;
            resourceInputs["datasetImportJob"] = undefined /*out*/;
            resourceInputs["datasetType"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["schemaArn"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["datasetGroupArn", "datasetType", "name", "schemaArn"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Dataset.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Dataset = Dataset;
/** @internal */
Dataset.__pulumiType = 'aws-native:personalize:Dataset';
//# sourceMappingURL=dataset.js.map