import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Route53Profiles::Profile
 */
export declare function getProfile(args: GetProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetProfileResult>;
export interface GetProfileArgs {
    /**
     * The ID of the profile.
     */
    id: string;
}
export interface GetProfileResult {
    /**
     * The Amazon Resource Name (ARN) of the resolver profile.
     */
    readonly arn?: string;
    /**
     * The id of the creator request
     */
    readonly clientToken?: string;
    /**
     * The ID of the profile.
     */
    readonly id?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Route53Profiles::Profile
 */
export declare function getProfileOutput(args: GetProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetProfileResult>;
export interface GetProfileOutputArgs {
    /**
     * The ID of the profile.
     */
    id: pulumi.Input<string>;
}
