import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Route53Profiles::ProfileResourceAssociation
 */
export declare function getProfileResourceAssociation(args: GetProfileResourceAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetProfileResourceAssociationResult>;
export interface GetProfileResourceAssociationArgs {
    /**
     * Primary Identifier for  Profile Resource Association
     */
    id: string;
}
export interface GetProfileResourceAssociationResult {
    /**
     * Primary Identifier for  Profile Resource Association
     */
    readonly id?: string;
    /**
     * A JSON-formatted string with key-value pairs specifying the properties of the associated resource.
     */
    readonly resourceProperties?: string;
    /**
     * The type of the resource associated to the  Profile.
     */
    readonly resourceType?: string;
}
/**
 * Resource Type definition for AWS::Route53Profiles::ProfileResourceAssociation
 */
export declare function getProfileResourceAssociationOutput(args: GetProfileResourceAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetProfileResourceAssociationResult>;
export interface GetProfileResourceAssociationOutputArgs {
    /**
     * Primary Identifier for  Profile Resource Association
     */
    id: pulumi.Input<string>;
}
