import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::ResolverQueryLoggingConfigAssociation.
 */
export declare function getResolverQueryLoggingConfigAssociation(args: GetResolverQueryLoggingConfigAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetResolverQueryLoggingConfigAssociationResult>;
export interface GetResolverQueryLoggingConfigAssociationArgs {
    /**
     * Id
     */
    id: string;
}
export interface GetResolverQueryLoggingConfigAssociationResult {
    /**
     * Rfc3339TimeString
     */
    readonly creationTime?: string;
    /**
     * ResolverQueryLogConfigAssociationError
     */
    readonly error?: enums.route53resolver.ResolverQueryLoggingConfigAssociationError;
    /**
     * ResolverQueryLogConfigAssociationErrorMessage
     */
    readonly errorMessage?: string;
    /**
     * Id
     */
    readonly id?: string;
    /**
     * ResolverQueryLogConfigAssociationStatus
     */
    readonly status?: enums.route53resolver.ResolverQueryLoggingConfigAssociationStatus;
}
/**
 * Resource schema for AWS::Route53Resolver::ResolverQueryLoggingConfigAssociation.
 */
export declare function getResolverQueryLoggingConfigAssociationOutput(args: GetResolverQueryLoggingConfigAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResolverQueryLoggingConfigAssociationResult>;
export interface GetResolverQueryLoggingConfigAssociationOutputArgs {
    /**
     * Id
     */
    id: pulumi.Input<string>;
}
