import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::ResolverConfig.
 */
export declare class ResolverConfig extends pulumi.CustomResource {
    /**
     * Get an existing ResolverConfig resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): ResolverConfig;
    /**
     * Returns true if the given object is an instance of ResolverConfig.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ResolverConfig;
    /**
     * ResolverAutodefinedReverseStatus, possible values are ENABLING, ENABLED, DISABLING AND DISABLED.
     */
    readonly autodefinedReverse: pulumi.Output<enums.route53resolver.ResolverConfigAutodefinedReverse>;
    /**
     * Represents the desired status of AutodefinedReverse. The only supported value on creation is DISABLE. Deletion of this resource will return AutodefinedReverse to its default value (ENABLED).
     */
    readonly autodefinedReverseFlag: pulumi.Output<enums.route53resolver.ResolverConfigAutodefinedReverseFlag>;
    /**
     * Id
     */
    readonly awsId: pulumi.Output<string>;
    /**
     * AccountId
     */
    readonly ownerId: pulumi.Output<string>;
    /**
     * ResourceId
     */
    readonly resourceId: pulumi.Output<string>;
    /**
     * Create a ResolverConfig resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ResolverConfigArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a ResolverConfig resource.
 */
export interface ResolverConfigArgs {
    /**
     * Represents the desired status of AutodefinedReverse. The only supported value on creation is DISABLE. Deletion of this resource will return AutodefinedReverse to its default value (ENABLED).
     */
    autodefinedReverseFlag: pulumi.Input<enums.route53resolver.ResolverConfigAutodefinedReverseFlag>;
    /**
     * ResourceId
     */
    resourceId: pulumi.Input<string>;
}
