import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type Definition for AWS::S3Outposts::AccessPoint
 */
export declare function getAccessPoint(args: GetAccessPointArgs, opts?: pulumi.InvokeOptions): Promise<GetAccessPointResult>;
export interface GetAccessPointArgs {
    /**
     * The Amazon Resource Name (ARN) of the specified AccessPoint.
     */
    arn: string;
}
export interface GetAccessPointResult {
    /**
     * The Amazon Resource Name (ARN) of the specified AccessPoint.
     */
    readonly arn?: string;
    /**
     * The access point policy associated with this access point.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::S3Outposts::AccessPoint` for more information about the expected schema for this property.
     */
    readonly policy?: any;
}
/**
 * Resource Type Definition for AWS::S3Outposts::AccessPoint
 */
export declare function getAccessPointOutput(args: GetAccessPointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccessPointResult>;
export interface GetAccessPointOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the specified AccessPoint.
     */
    arn: pulumi.Input<string>;
}
