import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::Scheduler::ScheduleGroup Resource Type
 */
export declare function getScheduleGroup(args: GetScheduleGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetScheduleGroupResult>;
export interface GetScheduleGroupArgs {
    /**
     * The name of the schedule group.
     */
    name: string;
}
export interface GetScheduleGroupResult {
    /**
     * The Amazon Resource Name (ARN) of the schedule group.
     */
    readonly arn?: string;
    /**
     * The time at which the schedule group was created.
     */
    readonly creationDate?: string;
    /**
     * The time at which the schedule group was last modified.
     */
    readonly lastModificationDate?: string;
    /**
     * Specifies the state of the schedule group.
     *
     * *Allowed Values* : `ACTIVE` | `DELETING`
     */
    readonly state?: enums.scheduler.ScheduleGroupState;
    /**
     * The list of tags to associate with the schedule group.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::Scheduler::ScheduleGroup Resource Type
 */
export declare function getScheduleGroupOutput(args: GetScheduleGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetScheduleGroupResult>;
export interface GetScheduleGroupOutputArgs {
    /**
     * The name of the schedule group.
     */
    name: pulumi.Input<string>;
}
