export declare const DirectoryBucketDataRedundancy: {
    readonly SingleAvailabilityZone: "SingleAvailabilityZone";
    readonly SingleLocalZone: "SingleLocalZone";
};
/**
 * Specifies the number of Availability Zone or Local Zone that's used for redundancy for the bucket.
 */
export type DirectoryBucketDataRedundancy = (typeof DirectoryBucketDataRedundancy)[keyof typeof DirectoryBucketDataRedundancy];
export declare const DirectoryBucketRuleStatus: {
    readonly Enabled: "Enabled";
    readonly Disabled: "Disabled";
};
/**
 * If `Enabled` , the rule is currently being applied. If `Disabled` , the rule is not currently being applied.
 */
export type DirectoryBucketRuleStatus = (typeof DirectoryBucketRuleStatus)[keyof typeof DirectoryBucketRuleStatus];
export declare const DirectoryBucketServerSideEncryptionByDefaultSseAlgorithm: {
    readonly Awskms: "aws:kms";
    readonly Aes256: "AES256";
};
/**
 * Server-side encryption algorithm to use for the default encryption.
 *
 * > For directory buckets, there are only two supported values for server-side encryption: `AES256` and `aws:kms` .
 */
export type DirectoryBucketServerSideEncryptionByDefaultSseAlgorithm = (typeof DirectoryBucketServerSideEncryptionByDefaultSseAlgorithm)[keyof typeof DirectoryBucketServerSideEncryptionByDefaultSseAlgorithm];
