export declare const TopicLoggingConfigProtocol: {
    readonly Https: "http/s";
    readonly Sqs: "sqs";
    readonly Lambda: "lambda";
    readonly Firehose: "firehose";
    readonly Application: "application";
};
/**
 * Indicates one of the supported protocols for the Amazon SNS topic.
 *   At least one of the other three ``LoggingConfig`` properties is recommend along with ``Protocol``.
 */
export type TopicLoggingConfigProtocol = (typeof TopicLoggingConfigProtocol)[keyof typeof TopicLoggingConfigProtocol];
