export declare const ActivityEncryptionConfigurationType: {
    readonly CustomerManagedKmsKey: "CUSTOMER_MANAGED_KMS_KEY";
    readonly AwsOwnedKey: "AWS_OWNED_KEY";
};
/**
 * Encryption option for an activity.
 */
export type ActivityEncryptionConfigurationType = (typeof ActivityEncryptionConfigurationType)[keyof typeof ActivityEncryptionConfigurationType];
export declare const StateMachineAliasDeploymentPreferenceType: {
    readonly Linear: "LINEAR";
    readonly AllAtOnce: "ALL_AT_ONCE";
    readonly Canary: "CANARY";
};
/**
 * The type of deployment to perform.
 */
export type StateMachineAliasDeploymentPreferenceType = (typeof StateMachineAliasDeploymentPreferenceType)[keyof typeof StateMachineAliasDeploymentPreferenceType];
export declare const StateMachineEncryptionConfigurationType: {
    readonly CustomerManagedKmsKey: "CUSTOMER_MANAGED_KMS_KEY";
    readonly AwsOwnedKey: "AWS_OWNED_KEY";
};
/**
 * Encryption option for a state machine.
 */
export type StateMachineEncryptionConfigurationType = (typeof StateMachineEncryptionConfigurationType)[keyof typeof StateMachineEncryptionConfigurationType];
export declare const StateMachineLoggingConfigurationLevel: {
    readonly All: "ALL";
    readonly Error: "ERROR";
    readonly Fatal: "FATAL";
    readonly Off: "OFF";
};
/**
 * Defines which category of execution history events are logged.
 */
export type StateMachineLoggingConfigurationLevel = (typeof StateMachineLoggingConfigurationLevel)[keyof typeof StateMachineLoggingConfigurationLevel];
export declare const StateMachineType: {
    readonly Standard: "STANDARD";
    readonly Express: "EXPRESS";
};
/**
 * Determines whether a `STANDARD` or `EXPRESS` state machine is created. The default is `STANDARD` . You cannot update the `type` of a state machine once it has been created. For more information on `STANDARD` and `EXPRESS` workflows, see [Standard Versus Express Workflows](https://docs.aws.amazon.com/step-functions/latest/dg/concepts-standard-vs-express.html) in the AWS Step Functions Developer Guide.
 */
export type StateMachineType = (typeof StateMachineType)[keyof typeof StateMachineType];
